# $Id: mimp-h3.spec,v 1.8 2010/01/18 17:19:56 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: A version of IMP for mobile phones.
Name: mimp-h3
Version: 1.1.3
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/mimp/tarballs/mimp-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.2
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
MIMP is a version of `IMP`_ intended for mobile phones/PDAs, written in PHP
and utilizing the Horde Application Framework.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep

%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/mimp
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/mimp
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/mimp/config


for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/mimp
# Include top-level files by hand
%{contentdir}/html/horde/mimp/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/mimp/lib
%{contentdir}/html/horde/mimp/locale
%{contentdir}/html/horde/mimp/po
%{contentdir}/html/horde/mimp/templates
%{contentdir}/html/horde/mimp/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/mimp/COPYING
%doc %{contentdir}/html/horde/mimp/README
%docdir %{contentdir}/html/horde/mimp/docs
%{contentdir}/html/horde/mimp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/mimp/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/mimp/config/.htaccess
%{contentdir}/html/horde/mimp/config/*.dist
%config %{contentdir}/html/horde/mimp/config/*.php
%config %{contentdir}/html/horde/mimp/config/*.xml

%changelog
* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.3-1
- Update to Mimp 1.1.3

* Sun Sep 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.2-1
- Update to Mimp 1.1.2

* Sat Jan 3 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.1-1
- Updated to Mimp 1.1.1

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- initial RPM roll for Mimp 1.1

